org.apache.cassandra.transport

## Interface CBCodec<T>

- All Known Subinterfaces:
    Message.Codec<M>
  All Known Implementing Classes:
    ResultSet.Codec

      public interface CBCodec<T>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `decode(org.jboss.netty.buffer.ChannelBuffer body)`
    `org.jboss.netty.buffer.ChannelBuffer` | `encode(T t)`

- - ### Method Detail

    - #### decode

          T decode(org.jboss.netty.buffer.ChannelBuffer body)

    - #### encode

          org.jboss.netty.buffer.ChannelBuffer encode(T t)

Copyright © 2014 The Apache Software Foundation